Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.spi
Interface MetaDataVisitor

All Known Implementing Classes:
  AbstractKernelControllerContext.PreprocessMetaDataVisitor

public interface MetaDataVisitor

A metadata vistor. TODO extend into a real visitor pattern and provide abstract implementation to avoid instanceof processing

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Method Summary
`void` | `addDependency(org.jboss.dependency.spi.DependencyItem dependency)` Add a dependency
`org.jboss.dependency.spi.ControllerState` | `getContextState()` Get the context state
`KernelControllerContext` | `getControllerContext()` Get the kernel controller context
`void` | `setContextState(org.jboss.dependency.spi.ControllerState contextState)` Set the context state
`void` | `visit(MetaDataVisitorNode node)` Visit the node

Method Detail

### getControllerContext

    public KernelControllerContext getControllerContext()

  Get the kernel controller context

  Returns:
    the context

### getContextState

    public org.jboss.dependency.spi.ControllerState getContextState()

  Get the context state

  Returns:
    the context state

### setContextState

    public void setContextState(org.jboss.dependency.spi.ControllerState contextState)

  Set the context state

  Parameters:
    `contextState` - the context state

### addDependency

    public void addDependency(org.jboss.dependency.spi.DependencyItem dependency)

  Add a dependency

  Parameters:
    `dependency` - the dependency

### visit

    public void visit(MetaDataVisitorNode node)

  Visit the node

  Parameters:
    `node` - the node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.